OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
STEPControl

# STEPControl_Controller Class Reference

defines basic controller for STEP processor

`#include <STEPControl_Controller.hxx>`

Inheritance diagram for STEPControl_Controller:

[legend]

## Public Member Functions
Standard_EXPORT | STEPControl_Controller ()
| Initializes the use of STEP Norm (the first time) and returns a Controller .
Standard_EXPORT Handle_Interface_InterfaceModel | NewModel () const
| Creates a new empty Model ready to receive data of the Norm. It is taken from STEP Template Model .
Standard_EXPORT Handle_Transfer_ActorOfTransientProcess | ActorRead (const Handle(Interface_InterfaceModel)&model) const
| Returns a new Actor for Read attached to the pair (norm,appli) It is a PmsToTopoDSAct_Actor .
virtual Standard_EXPORT void | Customise (Handle(XSControl_WorkSession)&WS)
| Customises a WorkSession, by adding to it the recorded items (by AddSessionItem), then by calling a specific method Customising, set by default to do nothing .
virtual Standard_EXPORT IFSelect_ReturnStatus | TransferWriteShape (const TopoDS_Shape &shape, const Handle(Transfer_FinderProcess)&FP, const Handle(Interface_InterfaceModel)&model, const Standard_Integer modetrans=0) const
| Takes one Shape and transfers it to the InterfaceModel (already created by NewModel for instance) <modeshape> is to be interpreted by each kind of XstepAdaptor Returns a status : 0 OK 1 No result 2 Fail -1 bad modeshape -2 bad model (requires a StepModel) modeshape : 1 Facetted BRep, 2 Shell, 3 Manifold Solid .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Standard_Boolean | Init ()
| Standard Initialisation. It creates a Controller for STEP and records it to various names, available to select it later Returns True when done, False if could not be done .

## Constructor & Destructor Documentation

Standard_EXPORT STEPControl_Controller::STEPControl_Controller | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_Transfer_ActorOfTransientProcess STEPControl_Controller::ActorRead | ( | const Handle(Interface_InterfaceModel)& | model | ) | const`[virtual]`

| Implements XSControl_Controller.

virtual Standard_EXPORT void STEPControl_Controller::Customise | ( | Handle(XSControl_WorkSession)& | WS | ) | `[virtual]`

| Reimplemented from XSControl_Controller.

Standard_EXPORT const STEPControl_Controller::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from XSControl_Controller. Reimplemented in STEPCAFControl_Controller.

static Standard_EXPORT Standard_Boolean STEPControl_Controller::Init | ( |  | ) | `[static]`

| Reimplemented in STEPCAFControl_Controller.

Standard_EXPORT Handle_Interface_InterfaceModel STEPControl_Controller::NewModel | ( |  | ) | const`[virtual]`

| Implements XSControl_Controller.

virtual Standard_EXPORT IFSelect_ReturnStatus STEPControl_Controller::TransferWriteShape | ( | const TopoDS_Shape & | shape,
|  | const Handle(Transfer_FinderProcess)& | FP,
|  | const Handle(Interface_InterfaceModel)& | model,
|  | const Standard_Integer | modetrans = `0`
| ) | const`[virtual]`

| Reimplemented from XSControl_Controller.

The documentation for this class was generated from the following file:

- STEPControl_Controller.hxx